request_module
Prev | Module Loading | Next

## Name

request_module — try to load a kernel module

## Synopsis

`int request_module (` | const char * | fmt,
|  | ...`)`;

## Arguments

`fmt`

  printf style format string for the name of the module

`...`

  variable arguments

## Description

Load a module using the user mode module loader. The function returns zero on success or a negative errno code on failure. Note that a successful module load does not mean the module did not then unload and exit on an error of its own. Callers must check that the service they requested is now available not blindly invoke it.

If module auto-loading support is disabled then this function becomes a no-operation.

Prev | Up | Next
Chapter 11. Module Support | Home | call_usermodehelper_setup